Bug 525791 - (CVE-2009-2841) CVE-2009-2841 WebKit, qt: Unallowed sub-resources loading in the media element handling code
CVE-2009-2841 WebKit, qt: Unallowed sub-resources loading in the media eleme...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=upstream,repor...
: Security
Depends On: 538235 538236 572756 572757 572758
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-25 14:32 EDT by Jan Lieskovsky
Modified: 2010-07-13 03:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-09-25 14:32:41 EDT
A security flaw was found in the way WebKit used to handle media elements
(audio and video tags). A remote attacker could provide a specially-crafted document, requesting loading of sub-resources (such as remote URLs),
which would be normally disallowed by the callback function(s).

Upstream patch:
---------------
http://trac.webkit.org/changeset/49480
Comment 1 Jan Lieskovsky 2009-09-25 14:53:16 EDT
This issue affects latest versions of WebKit package, as shipped with
Fedora release of 10 and 11 (WebKit-1.1.0-0.16.svn40351.fc10 and WebKit-1.1.1-1.fc11). 

This issue affects latest versions of qt package, as shipped with
Fedora release of 10 and 11 (qt-4.5.2-3.fc10 and qt-4.5.2-3.fc11).
Comment 8 Jan Lieskovsky 2009-11-13 08:57:19 EST
Comment related to latest Fedora Qt and WebKit updates and this CVE id:
------------------------------------------------------------------------

While the latest versions of Qt and WebKit packages, as shipped
with relevant Fedora releases might be vulnerable to this flaw, the
patch for this issue was not committed yet, as it needs further
review and testing. Once it was proven to be safe, it will be included
into current versions of Qt and WebKit packages, as shipped with Fedora.
Comment 19 Fedora Update System 2010-07-13 03:38:47 EDT
qt-4.6.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-07-13 03:42:30 EDT
qt-4.6.3-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.